/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PersonRole;

import java.util.Vector;
import java.math.BigDecimal;
import CustomerAccountMgmt.CustomerAccountApp.CustomerAccApplication;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class ApplicationApprover extends RelMgmt.Party.PersonRole {
    public BigDecimal calcAcceptanceRate() {
        return new BigDecimal(0);
    }

    /**  */
    public Vector assessQualityOfResultingAccounts() {
        return new Vector();
    }

    public Vector listApplications() {
        return new Vector();
    }

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private CustomerAccApplication lnkUnnamed;
    private int approverLevel;
}


